> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/rest-api/staking/create-stake.md).

# Create Stake

Submit a request to stake an asset

<mark style="color:blue;">**`POST`**</mark> `https://api.sfox.com/v1`**`/staking/stake`**

Create a stake transaction.

Submitting a staking request will transfer the specified quantity of the specified asset from your trading wallet to your staking wallet. At that point the request will begin processing. Once processed you can view and manage this request via the staking transactions endpoint.

{% hint style="info" %}
A successful stake request will transfer funds from your `trading_wallet` to your `staking_wallet.`Your request quantity must be greater than the `min_stake_amount` required for the asset your are staking.
{% endhint %}

### Body Parameters

<table><thead><tr><th width="232">Parameter</th><th width="95">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>currency</code></strong> <mark style="color:red;">required</mark></td><td>string</td><td>The asset to stake e.g. <code>avax</code>.</td></tr><tr><td><strong><code>quantity</code></strong> <mark style="color:red;">required</mark></td><td>number</td><td>The amount of the <code>currency</code> to stake.</td></tr></tbody></table>

### Response Body

<table><thead><tr><th width="153">Key</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>id</code></strong></td><td>The sFOX-generated ID of this stake transaction.</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{
    "data": {
        "id":435
    }
}
```

</details>

### Example Request

{% tabs %}
{% tab title="Shell" %}

```bash
curl -X POST \
  -H 'Content-type: application/json' \
  -H 'Authorization: Bearer <API_TOKEN>' \
  --data '{ "currency": "avax",
            "quantity": 500 }'  \
  'https://api.sfox.com/v1/staking/stake'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.sfox.com/v1/staking/stake',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  },
  data: {
   currency: 'avax',
   quantity: 500
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.post(
  "https://api.sfox.com/v1/staking/stake",
  headers={
    "Authorization": "Bearer <API_KEY>",
  },
  data={
    "currency": "avax",
    "quantity": 500
  }
)
print(data)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sfox.com/rest-api/staking/create-stake.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
